# Generated from atomutil-0.1.5.gem by gem2rpm -*- rpm-spec -*-
%global gem_name atomutil

Name: rubygem-%{gem_name}
Version: 0.1.5
Release: 1%{?dist}
Summary: Ruby AtomPub Client
License: MIT
URL: http://github.com/lyokato/ruby-atomutil
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(rspec) >= 2.4.0
# BuildRequires: rubygem(rspec) < 2.5
# BuildRequires: rubygem(jeweler) >= 2.3.9
# BuildRequires: rubygem(jeweler) < 2.4
BuildArch: noarch

%description
This library allows your to handle AtomPub and Atom Feed easily.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/License.txt
%{gem_instdir}/VERSION
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/.document
%exclude %{gem_instdir}/.rspec
%doc %{gem_instdir}/CHANGELOG.md
%{gem_instdir}/Gemfile
%{gem_instdir}/Gemfile.lock
%doc %{gem_instdir}/README.rdoc
%{gem_instdir}/Rakefile
%{gem_instdir}/atomutil.gemspec
%{gem_instdir}/spec

%changelog
* Mon Feb 07 2022 mockbuilder - 0.1.5-1
- Initial package
